<?php
//exit;
date_default_timezone_set ( "America/Lima" ); 

define('SF_ROOT_DIR', "/home/sinergiaperu/public_html/sinergia");
//define('SF_ROOT_DIR', "C://wamp/www/credisur");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


$con= Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

$dia = date('N');

if($dia == 7) exit;


if (!mysql_select_db($a_param['db'], $con)) {
    echo 'Could not select database';
    exit;
}


	//Debe ser un 
	//Esta tarea no debe ejecutarse el domingo
	
$sql = "SELECT 	idcliente, dni
		FROM 	`cr_cliente` 
		WHERE 	FlagCentralRiesgo = 'N' 
		ORDER BY idcliente
		 -- LIMIT 	0,200
		";
echo $sql;
$result2 = mysql_query($sql,$con);
if(mysql_num_rows($result2) > 0 ){
	while($row = mysql_fetch_array($result2)){
		echo "---------";
		$idcliente 				= $row['idcliente'];
		$dni 					= $row['dni'];
		$len_dni = strlen($dni);
		if($len_dni < 8) continue;
		
		$_POST['datos']['metodo'] 			= "buscarCliente";
		$_POST['datos']['verNombreEmpresa'] = "1";
		$_POST['datos']['cboEstado'] 		= "Dni";
		$_POST['datos']['Empresa']	 		= "38";
		$_POST['datos']['Titulo'] 			= $dni;
		$_POST['datos']['token'] 			= "89nm75nh788";
		
		 $data_string = json_encode($_POST);

	    $ch = curl_init('http://elitodontologico.com/ibp-admin/ws/ws.php');
	
	    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
	    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
	            'Content-Type: application/json',
	            'Content-Length: ' . strlen($data_string))
	    );
	    curl_setopt($ch, CURLOPT_TIMEOUT, 900);
	    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 900);
	
	    $result = curl_exec($ch);
	
	    curl_close($ch);
	    $json = json_decode($result,true);
	    $resultados = $json["resultado"]["resultados"];
	    
	    
		$o_cliente = null;
		$a_prestamo = null;
	    if(is_array($resultados)){
     		foreach($resultados as $key => $valor) {
			    $o_cliente = $resultados[$key]['cliente'];
			    $a_prestamo = $resultados[$key]['prestamo'];
			    
			    if(is_array($o_cliente) && is_array($a_prestamo)){
			    	$sql = "
			    		update cr_cliente
			    		set FlagCentralRiesgo	= 'S'
			    		WHERE  1=1 
			    		 and  idcliente = '".$idcliente."'
				    	";
				   	echo $sql."<br>";
				   	$result_i = mysql_db_query(Conexion::getNameDb(), $sql, $con);
					break;   	
			    }
			    
     		}
     		
	    }
		
		
		
	}
}

?>